#
#	initialize b=spline tables
#
	subroutine initbsptab(ntab,bsptab)
	implicit none
	integer ntab,itab
	real a,b,idtab,left,left2,left3,right,right2,right3
	real bsptab(ntab,-1:2,2)


	a=1./6.
	b=.5
	idtab=1./ntab

	do itab=1,ntab	
			{
		
	
		left=(itab-1)*idtab
		right=1.-left
		left2=left*left
		left3=left2*left
		right2=right*right
		right3=right2*right
	
		bsptab(itab,-1,1)=a*right3
		bsptab(itab,0,1)=a*(3*left3-6*left2+4)
		bsptab(itab,1,1)=a*(3*right3-6*right2+4)
		bsptab(itab,2,1)=a*left3

		bsptab(itab,-1,2)=-(b*right2)
		bsptab(itab,0,2)=b*(3*left2-4*left)
		bsptab(itab,1,2)=-(b*(3*right2-4*right))
		bsptab(itab,2,2)=b*left2

			}

	
	return
	end
