subroutine itr2d(maxnt,nt,nx,nkxp,in,out,work)
#	subroutine that compute the inverse 2d Fourier transform of an array
#	of positive wave numbers and all frequencies.
#	In the output we have a real array

integer nx,nt,it,ix,ikx,nkxp,iikx,maxnt
real normt,normx
real out(maxnt,nx)
complex in(maxnt,nkxp),work(nx)
implicit character (a-z)

normt=(1./nt)
normx=(1./nx)

#inverse transform over w for the positive wave numbers

do ikx=1,nkxp	{
	call cefft(in(1,ikx),nt,1,normt)	
		}

do it=1,nt	{
	do ikx=1,nkxp	{
		work(ikx)=in(it,ikx)
			}
					#copy the negative wave number as 
					#the conjugate of the positive
	do ikx=nkxp+1,nx	{
		iikx=nx-ikx+2
		work(ikx)=conjg(in(it,iikx))
				}
	call cefft(work,nx,1,normx)		#inverse transform over kx
	do ix=1,nx	{
		out(it,ix)=real(work(ix))	#convert into real
			}
		}


return;	end
