subroutine cg(n,m,x,b,g,s,res,gg,ss,niter,isnap,leniw,iw)

implicit character (a-z)
integer n,m,iter,niter,i,j,leniw
integer iw(leniw),isnap
real x(n),b(m),res(m),g(n),s(n),gg(m),ss(m)
real dot,sds,gdg,gds,determ,gdr,sdr,alfa,beta,rem

if (niter!=0)	{
do i=1,n		# save initial values
	s(i)=x(i)
do i=1,m
	res(i)=0.
call aprod(1,m,n,x,res,leniw,iw)
do i=1,n		# restore initial value
	x(i)=s(i)
do i=1,m
	res(i)=b(i)-res(i)
do iter=0,niter	{

	do i=1,n
		g(i)=0.
	call aprod(2,m,n,g,res,leniw,iw)

	do i=1,m
		gg(i)=0.
	call aprod(1,m,n,g,gg,leniw,iw)

	if (iter==0)	{
		alfa=dot(m,gg,res)/dot(m,gg,gg)
		beta=0.
			}
	else	{
		gdg=dot(m,gg,gg)
		sds=dot(m,ss,ss)
		gds=dot(m,gg,ss)
		determ= gdg*sds - gds*gds +1.e-30
		gdr=dot(m,gg,res)
		sdr=dot(m,ss,res)
		alfa=(sds*gdr - gds*sdr)/determ
		beta=(-gds*gdr + gdg*sdr)/determ
		}
	do i=1,n
		s(i)=alfa*g(i) + beta*s(i)
	do i=1,m
		ss(i)=alfa*gg(i) + beta*ss(i)
	do i=1,n
		x(i)=x(i) + s(i)
	do i=1,m
		res(i)=res(i) - ss(i)	
	if (isnap!=0)	{
		rem=mod(real(iter),real(isnap))
		if (rem==0.)call snap('x.h',n,1,x)
		if (rem==0.)call snap('g.h',n,1,g)
		if (rem==0.)call snap('s.h',n,1,s)
		if (rem==0.)call snap('res.h',m,1,res)
		if (rem==0.)call snap('gg.h',m,1,gg)
		if (rem==0.)call snap('ss.h',m,1,ss)
		if (rem==0.) write(0,*)sqrt(dot(m,res,res))
			}
		}
		}
return;	end


real function dot(n,x,y)
integer i,n
real val,x(n),y(n)
val=0.
do i=1,n
	val=val + x(i)*y(i)
dot=val
return;	end
