subroutine tr2d(maxnt,nt,nx,nkxp,in,out,work)
#	subroutine that compute the 2d Fourier transform of a real array
#	In the output we have the positive frequencies and all the wavwe numbers

implicit none
integer nx,nt,it,ix,ikx,nkxp,maxnt
real in(maxnt,nx)
complex out(maxnt,nkxp),work(nx)


#write(0,*)nt,nkxp
#transform over x for all t

do it=1,nt	{
	do ix=1,nx	{
			# convert into complex the input real array
		work(ix)=cmplx(in(it,ix),0.)
			}
	call cefft(work,nx,-1,1.)	
	do ix=1,nkxp	{
		out(it,ix)=work(ix)
			}
		}

#transform over t for the positive wave numbers

do ikx=1,nkxp	{
	call cefft(out(1,ikx),nt,-1,1.)	
		}

return;	end
