\chapter{Introduction}
In todays integrated world reflection seismic data is no longer used exclusively
by the explorationist.
Today reflection seismology is used in a number of different contexts in
the seismic industry.
%transition
The explorationist still uses seismic data as guide to finding new locations that
might contain oil. 
On an active oil field seismic data can help target wells.
It can provide rock physicists with reservoir properties and provide
a geostatistician and reservoir engineer constraints for their simulations.
The key piece of data that all of these people rely on is an accurate
velocity model.
Without a good knowledge of the velocity, the explorationist can either
miss likely prospects because of poor imaging, or be fooled into thinking an 
artifact due to velocity is actually a target.  Without an accurate
velocity field wells  will never tie with the seismic data and direction
drilling is useless. And without an accurate velocity model, seismic data
is more likely to hinder rather than help the rock physicist, geostatistician,
and reservoir engineer.
Further, at this stage we have already found and exhausted most of
the easy targets through out the world. We are left with 
prospects and fields where the structure is complicated and an accurate
velocity field will often make the difference between success and failure.
%\par
%In addition to 
%In the integrated environment we have additional constraints. The velocity
%model that we 
%
%\par
%In this dissertation I present a new method to create a velocity model
%that both focuses data and is geologically reasonable.
%
%

\section{Tomography as a non-linear problem}
\sepinput{nonlinear}


\section{Overview of thesis}
%
%
\subsection{Tau tomography}
\sepinput{tau}
%
In reflection tomography the true location of the reflectors is unknown and
must be simutaneously inverted for with velocity.
A time error can be explained by either changing the reflector position or
the medium velocity, Figure~\ref{fig:ambiguity}.  
%
%
\subsection{Steering filters}
\sepinput{steer}
%
%
%
%
%
%
%
\subsection{Field tests}
\sepinput{field}
%
%
In the last two sections I di
\section{Assumptions and limitations}
\sepinput{limit}
